mbed TLS v2.23.0: psa_drv_se_mac_t Struct Reference

mbed TLS v2.23.0

Data Fields
psa_drv_se_mac_t Struct Reference
Secure Element Message Authentication Codes

A struct containing all of the function pointers needed to perform secure element MAC operations. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_mac_t:
[legend]

## Data Fields
size_t | context_size
psa_drv_se_mac_setup_t | p_setup
psa_drv_se_mac_update_t | p_update
psa_drv_se_mac_finish_t | p_finish
psa_drv_se_mac_finish_verify_t | p_finish_verify
psa_drv_se_mac_abort_t | p_abort
psa_drv_se_mac_generate_t | p_mac
psa_drv_se_mac_verify_t | p_mac_verify

## Detailed Description

A struct containing all of the function pointers needed to perform secure element MAC operations.

PSA Crypto API implementations should populate the table as appropriate upon startup.

If one of the functions is not implemented (such as `psa_drv_se_mac_generate_t`), it should be set to NULL.

Driver implementers should ensure that they implement all of the functions that make sense for their hardware, and that they provide a full solution (for example, if they support `p_setup`, they should also support `p_update` and at least one of `p_finish` or `p_finish_verify`).

Definition at line 322 of file crypto_se_driver.h.

## Field Documentation

## ◆ context_size

size_t psa_drv_se_mac_t::context_size

The size in bytes of the hardware-specific secure element MAC context structure

Definition at line 326 of file crypto_se_driver.h.

## ◆ p_abort

psa_drv_se_mac_abort_t psa_drv_se_mac_t::p_abort

Function that aborts a previoustly started MAC operation

Definition at line 341 of file crypto_se_driver.h.

## ◆ p_finish

psa_drv_se_mac_finish_t psa_drv_se_mac_t::p_finish

Function that completes a MAC operation

Definition at line 335 of file crypto_se_driver.h.

## ◆ p_finish_verify

psa_drv_se_mac_finish_verify_t psa_drv_se_mac_t::p_finish_verify

Function that completes a MAC operation with a verify check

Definition at line 338 of file crypto_se_driver.h.

## ◆ p_mac

psa_drv_se_mac_generate_t psa_drv_se_mac_t::p_mac

Function that performs a MAC operation in one call

Definition at line 344 of file crypto_se_driver.h.

## ◆ p_mac_verify

psa_drv_se_mac_verify_t psa_drv_se_mac_t::p_mac_verify

Function that performs a MAC and verify operation in one call

Definition at line 347 of file crypto_se_driver.h.

## ◆ p_setup

psa_drv_se_mac_setup_t psa_drv_se_mac_t::p_setup

Function that performs a MAC setup operation

Definition at line 329 of file crypto_se_driver.h.

## ◆ p_update

psa_drv_se_mac_update_t psa_drv_se_mac_t::p_update

Function that performs a MAC update operation

Definition at line 332 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h